Bug 819851 - added maven pom
added maven pom
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jffi (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 07:48 EDT by gil cattaneo
Modified: 2013-04-22 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-21 12:19:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
added maven pom (4.08 KB, patch)
2012-05-08 07:48 EDT, gil cattaneo
no flags Details | Diff
add maven pom -rebase (4.74 KB, patch)
2012-10-09 14:04 EDT, gil cattaneo
no flags Details | Diff
add maven pom -rebase with gcc 4.7 build fix (3.37 KB, patch)
2012-10-10 09:20 EDT, gil cattaneo
no flags Details | Diff

  None (edit)
Description gil cattaneo 2012-05-08 07:48:03 EDT
Created attachment 582968 [details]
added maven pom

Description of problem:
added maven pom. the pom is required for build sonar deps

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 gil cattaneo 2012-10-09 14:04:39 EDT
Created attachment 624214 [details]
add maven pom -rebase
Comment 2 Mikolaj Izdebski 2012-10-10 01:45:33 EDT
jffi fails to build with this patch:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4575047
Comment 3 gil cattaneo 2012-10-10 07:34:45 EDT
hi Mikolaj,
is a gcc 4.7.x problem
see https://github.com/ffi/ffi/issues/189
should be remove -mimpure-text from CFLAGS
using 

sed -i -e 's| -mimpure-text||' jni/GNUmakefile
sed -i -e 's| -mimpure-text||' jni/GNUmakefile.cpu
sed -i -e 's| -mimpure-text||' libtest/GNUmakefile
sed -i -e 's| -mimpure-text||' libtest/GNUmakefile.cpu

thanks
Comment 4 gil cattaneo 2012-10-10 08:32:57 EDT
hi
i used
sed -i.gcc47 -e 's/ -mimpure-text/ -fpic/' jni/GNUmakefile jni/GNUmakefile.cpu libtest/GNUmakefile libtest/GNUmakefile.cpu
in my system work fine
Comment 5 gil cattaneo 2012-10-10 09:20:17 EDT
Created attachment 624870 [details]
add maven pom -rebase with gcc 4.7 build fix
Comment 6 Mikolaj Izdebski 2012-10-10 09:58:23 EDT
The JNI guideliness is about to change, so I'll wait a bit with fixing this.
Comment 7 Fedora End Of Life 2013-04-03 12:24:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.